class Tartaglia{
	private int[][] triangolo;

	/* costruttore. Costruisce un triangolo di Tartaglia con n righe */
	public Tartaglia(int n){

		triangolo=new int[n][];

		for(int i=0;i<n;i++)
			triangolo[i]=new int[i+1];

		for(int i=0;i<triangolo.length;i++)
			for(int j=0;j<triangolo[i].length;j++){

				if(j==0 || j==i)
					triangolo[i][j]=1;
				else
					triangolo[i][j]=triangolo[i-1][j-1]+triangolo[i-1][j];
			}

	}

	/* restituisce la riga i-esima del triangolo rappresentato */
	public int[] getRiga(int i){

		int[] riga=new int[triangolo[i].length];

		for(int j=0;j<riga.length;j++)
			riga[j]=triangolo[i][j];

		return riga;

	}

	/* restituisce una descrizione del triangolo rappresentato
	sotto forma di stringa */
	public String toString(){
		String s="";
		for(int i=0;i<this.triangolo.length;i++){

			for(int k=0;k<this.triangolo.length-i-1;k++)
				s+=" ";

			for(int j=0;j<this.triangolo[i].length;j++){

				s+=this.triangolo[i][j]+" ";
			}
			s+="\n";
		}

		return s;
	}
}